# Created by pyp2rpm-3.3.1
%global pypi_name glyphslib
%global srcname glyphsLib

%bcond_with tests

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 2
Summary:        A bridge from Glyphs source files (.glyphs) to UFOs
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/googlei18n/glyphsLib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(defcon)
BuildRequires:  python3dist(fonttools)
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This library provides a bridge from Glyphs source files (.glyphs) to UFOs via
defcon.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a bridge from Glyphs source files (.glyphs) to UFOs via
defcon.

%prep
%autosetup -n glyphsLib-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files glyphsLib

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/glyphs2ufo
%{_bindir}/ufo2glyphs


%changelog
* Sun Nov 20 2022 mrambo3501 <mrambo3501> 6.1.0-2.mga9
+ Revision: 1909525
- bump rel
+ wally <wally>
- new version 6.1.0
- switch build to use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 5.3.2-4.mga9
+ Revision: 1831970
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 5.3.2-3.mga9
+ Revision: 1784459
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 5.3.2-2.mga9
+ Revision: 1732953
- Rebuild for python 3.9

* Fri Jun 25 2021 wally <wally> 5.3.2-1.mga9
+ Revision: 1732274
- new version 5.3.2

* Tue Feb 18 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1541961
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 5.1.0-1.mga8
+ Revision: 1475756
- new version 5.1.0

* Sat Oct 12 2019 tv <tv> 4.1.1-2.mga8
+ Revision: 1452128
- rebuild with python 3.8

* Mon Aug 19 2019 wally <wally> 4.1.1-1.mga8
+ Revision: 1430051
- new version 4.1.1
- drop python2 support

* Sat Jan 12 2019 shlomif <shlomif> 3.1.4-1.mga7
+ Revision: 1355378
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1288925
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 2.3.0-1.mga7
+ Revision: 1226597
- imported package python-glyphslib

